#pragma once
#include "Mod.h"

class HitBoxes : public Mod {
public:
	float height = 1.f, width = 1.f;
	bool throughwalls = true;

	HitBoxes() : Mod("Hit Boxes", "Change the player's hitbox size.", Category::GHOST) {
		settings.push_back(new Setting{ _("Expand Height"), &height, new float(2.f), new float(0.f), 2, {}, true });
		settings.push_back(new Setting{ _("Expand Width"), &width, new float(2.f), new float(0.f), 2, {}, true });
		settings.push_back(new Setting{ _("Through Walls"), &throughwalls, 0, 0, 0, {}, true });

		enabled = false;
	}

private:
	virtual auto onWorldTick(Player* _this) -> void override;
	virtual auto getMode() -> std::string;
};
